Difference between revisions of "TechDraw Hatch/it"

From FreeCAD Documentation
Jump to: navigation, search
Line 6: Line 6:
 
==Uso==
 
==Uso==
 
# Selezionare una regione chiusa in una vista. La regione diventa verde.  
 
# Selezionare una regione chiusa in una vista. La regione diventa verde.  
# Premere il pulsante [[Image:TechDraw_Hatch.png|16px]] {{KEY|Tratteggio}}
+
# Premere il pulsante [[Image:TechDraw_Hatch.png|16px]] {{KEY|Tratteggio area}}
 
# Potrebbe essere necessario dover premere Ricalcola [[Image:View-rotate-right.png|16px]].
 
# Potrebbe essere necessario dover premere Ricalcola [[Image:View-rotate-right.png|16px]].
  

Revision as of 23:16, 22 February 2018

TechDraw Hatch.svg Tratteggio area

Posizione nel menu
TechDraw → Tratteggio
Ambiente
TechDraw
Avvio veloce
Introdotto nella versione
-
Vedere anche
Tipi di tratteggio


Descrizione

Lo strumento Tratteggio area riempie una regione chiusa di una vista con un modello di tratteggio. I modelli sono creati in file formato SVG o bitmap. I modelli di tratteggio SVG sono disponibili in ".../Mod/Draft/Resources/patterns".

Uso

  1. Selezionare una regione chiusa in una vista. La regione diventa verde.
  2. Premere il pulsante TechDraw Hatch.png Tratteggio area
  3. Potrebbe essere necessario dover premere Ricalcola View-rotate-right.png.

Opzioni

Nessuna.

Proprietà

  • DATASource: La vista e la faccia che devono ricevere il tratteggio.
  • DATAHatch Pattern: Il percorso completo e il nome del file del modello SVG.
  • DATAHatch Color: Il colore in cui viene visualizzato il tratteggio

Script

Il Tratteggio può essere aggiunto alle aree delle Viste utilizzando Python.

hatch = FreeCAD.ActiveDocument.addObject('TechDraw::DrawHatch','Hatch')
hatch.Source = (view1,["Face0"])
hatch.HatchPattern = hatchFileSpec
rc = page.addView(hatch)

Note

  • Si noti che i modelli di tratteggio non sono inclusi nella pagina di disegno quando essa viene salvata come file SVG.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский